﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace DragDropWithRadWrapPanelAsItemsPanel_WPF
{
	public class Country
	{
		private string countryName;
		private Uri countryFlag;

		public string CountryName { get; set; }
		public Uri CountryFlag { get; set; }
	}

	public class ViewModel : ViewModelBase
	{
		ObservableCollection<Country> countryList = new ObservableCollection<Country>();

		public ViewModel()
		{
			this.DataList = new ObservableCollection<Country>(this.GetCountries());
		}

		private IEnumerable<Country> GetCountries()
		{
			for (int i = 0; i < 50; i++)
			{
				yield return new Country { CountryName = i.ToString() };
			}
		}

		public ObservableCollection<Country> DataList { get; set; }
	}
}
